Subject: Re: [CCAMP] Kathleen Moriarty's No Objection on draft-ietf-ccamp-flexible-grid-ospf-ext-08: (with COMMENT)

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 15 Feb 2017 10:19:05 -0000

Hi Kathleen,

If I can pitch in as a Contributor (apparently only bona fide Authors saw the
original review).

Catherine wrote:
> However, when I looked through the document (using both manual and automatic
search
> methods) I was surprised to find that no explicit mention of OSPF Opaque LSAs
other than
> in the Security Considerations section.  It would be helpful to have a
specific mention of 
> them in the body of the document, and a brief discussion of how they are used
to implement
> the extensions.  This would give a the reader a better understanding of how
the Security
> Considerations section relates to the rest of the document.

If we were to do this (which I think is a little bit of a stretch as *all* TE
information is carried in OSPF using opaque LSAs) I would go to the top of
section 4 and 

OLD
   As described in [RFC7698], the network connectivity topology 
   constructed by the links/nodes and node capabilities are the same as 
   for WSON, and can be advertised by the GMPLS routing protocols 
   (refer to section 6.2 of [RFC6163]).
NEW
   As described in [RFC7698], the network connectivity topology 
   constructed by the links/nodes and node capabilities are the same as 
   for WSON, and can be advertised by the GMPLS routing protocols using
   opaque LSAs [RFC3630] in the case of OSPF-TE [RFC4203] (refer to 
   section 6.2 of [RFC6163]).
END

Cheers,
Adrian

> -----Original Message-----
> From: CCAMP [mailto:[email-masked]] On Behalf Of Kathleen Moriarty
> Sent: 15 February 2017 02:35
> To: The IESG
> Cc: [email-masked]; [email-masked];
draft-ietf-ccamp-flexible-grid-ospf-
> [email-masked]
> Subject: [CCAMP] Kathleen Moriarty's No Objection on
draft-ietf-ccamp-flexible-
> grid-ospf-ext-08: (with COMMENT)
> 
> Kathleen Moriarty has entered the following ballot position for
> draft-ietf-ccamp-flexible-grid-ospf-ext-08: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ccamp-flexible-grid-ospf-ext/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks for your work on this draft.
> 
> I don't see a response to the SecDir review that asks for more clarity in
> the draft on OSPF Opaque LSAs, mentioned in the security considerations
> section, but not elsewhere.
> https://www.ietf.org/mail-archive/web/secdir/current/msg07120.html
> 
> Could some text be added to help with this request?
> 
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: [email-masked]
Date: Wed, 15 Feb 2017 07:08:48 -0500

Adrian,

Please excuse typos, sent from handheld device 

> On Feb 15, 2017, at 5:19 AM, Adrian Farrel <[email-masked]> wrote:
> 
> Hi Kathleen,
> 

Thank you.  That looks like a pretty simple update to help with clarity.

Kathleen